关于 Appium 各种版本的安装,都在这里

本贴最后更新于 909 天前,其中的信息可能已经渤澥桑田

大家在初次接触Appium时会看到网上各种帖子讲解如何安装Appium,各种Appium版本的安装教程满天飞,而很多帖子中提供的安装教程是已经过时了的,容易误导初学者。这篇文章带着你一起全面了解Appium各种版本如何选择如何安装。

一句话概述:

Appium安装提供两种方式:桌面版和命令行版。其中桌面版又分为Appium GUI和Appium Desktop。

Appium GUI

Appium最先发布的桌面版本,将Appium的核心Server进行封装提供了图形界面,对初学者比较友好。

下载地址:

[https://bitbucket.org/appium/appium.app/downloads/]

它长这样:

image.png

需要注意的是:

目前该项目已经很久没有维护了,针对Windows平台最新的版本是AppiumForWindows_1_4_16_1,里面封装的Appium server为1.4.16,针对Mac平台最新的版本是appium-1.5.3,里面封装的Appium server为1.5.3。如果要使用较新的Appium server显然该项目不满足,所以此版本不推荐。
image.png

Appium Desktop

Appium GUI的替代项目,它封装了运行 Appium服务端的所有依赖,目前该项目持续在维护中。一般Appium server更新之后Appium desktop也会有对应新版本发布出来。所以强烈建议初学者选择Appium-desktop,并且安装也非常的容易。

Appium-desktop是GitHub上面的开源项目,源码地址是:

[https://github.com/appium/appium-desktop]

对应安装包下载地址:

[https://github.com/appium/appium-desktop/releases]

建议不要使用最新的,可能会存在一些BUG,可以选择较新的版本进行安装。这里以V1.17.1为例:展开Assets选项,选择windows平台的安装包。
image.png

下载完一步步点击安装即可(Appium-desktop安装速度会比较慢),打开之后界面如下所示:
image.png

Appium Server命令行版本

Appium的核心就是Appium Server,使用node.js语言实现,所以在安装Appium Server命令行版本之前我们需要先安装配置node.js。Appium命令行版本安装相较于Appium图形化版本要复杂很多,建议初学者先安装桌面版本练习,后续再使用命令行版本。

1:下载node.js

https://nodejs.org/en/download/
image.png

2:选择安装路径,笔者这边选择安装到D盘

3:打开cmd窗口,输入node -v 以及npm -v检测(npm是node.js自带的包管理器)
image.png

4:指定npm安装的全局模块和缓存的路径,如果不指定默认会安装到 C 盘中“C:\Users\用户名\AppData\Roaming\npm”。

(1) 在nodejs目录下新建“node_cache”和“node_global”目录
image.png

(2) 在cmd窗口中输入如下命令:

npm config set prefix "D:\software\nodejs\node_global"npm config set cache "D:\software\nodejs\node_cache"

5:配置node.js环境变量

(1) 在系统变量中新建“NODE_PATH”变量名,变量值为 “D:\software\nodejs\node_global\node_modules”

(2) 在系统变量“Path”中追加“%NODE_PATH%”

(3) 将用户变量“Path”中原来的“C:\Users\用户名\AppData\Roaming\npm”修改为“D:\software\nodejs\node_global”

6: 安装Appium Server

(1) 设置npm淘宝镜像地址,执行如下命令:

npm config set registry https://registry.npm.taobao.org

如果安装指定版本(比如1.17.1),使用如下方式:

npm install appium@1.17.1 -g

(2) npm通过全局方式安装Appium Server(默认下载安装最新版本Appium)

npm install appium-doctor -g

执行appium-doctor,出现如下提示表示Appium环境OK。

(3) 安装appium-doctor(用来检测appium所需环境依赖,包括node.js、Android SDK、JDK)。

image.png

7: 启动Appium Server

直接在cmd窗口输入“appium”即可启动Appium Server:
image.png

回帖
请输入回帖内容 ...